* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  /* font-family: Arial, Helvetica, sans-serif; */
  font-size: 15px;
  /* font-size: small; */

  -webkit-print-color-adjust: exact;
  /* Chrome/Safari/Edge/Opera */
  color-adjust: exact;
  /* Firefox */
  
}

html {
  scroll-behavior: smooth;
}

ul {
  padding: 0;
  margin: 0;
}

p {
  margin: 0;
}

.sidebar {
  background-color: #4682b4;
  width: 250px;
  height: 100vh;
  float: left;
  position: fixed;
  z-index: 100;
  transition: all 0.5s ease;
}

.sidebar.close {
  width: 50px;
}

.sidebar .sys-details {
  margin: 10px 0;
  width: 100%;
  text-align: center;
}

.sidebar .sys-details img {
  width: 70px;
  object-fit: cover;
  transition: all 0.5s ease;
}

.sidebar.close .sys-details img {
  width: 50px;
}

.sidebar .sys-details p {
  margin-top: 5px;
  font-size: 20px;
  color: blue;

}

.sidebar.close .sys-details p {
  display: none;
}

.sidebar .nav-links {
  height: 100%;
  /* padding-top: 30px ; */
  /* overflow: auto; */
  overflow: hidden;
}

.sidebar.close .nav-links {
  overflow: visible;
}

.sidebar .nav-links li {
  position: relative;
  list-style: none;
  transition: all 0.4s ease;
  opacity: 0.6;
}

.sidebar .nav-links li:hover {
  /* background: #4d94ff;
  border-radius: 10px 10px 50px 10px; */
  /* background: #3641a5; */
  opacity: 1;
}

.sidebar .nav-links li .iocn-link {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.sidebar.close .nav-links li .iocn-link {
  display: block
}

.sidebar .nav-links li i {
  height: 50px;
  min-width: 50px;
  text-align: center;
  line-height: 50px;
  color: #fff;
  font-size: 20px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.sidebar .nav-links li.showMenu i.arrow {
  transform: rotate(-180deg);
}

.sidebar.close .nav-links i.arrow {
  display: none;
}

.sidebar .nav-links li a {
  display: flex;
  align-items: center;
  text-decoration: none;
}

.sidebar .nav-links li.act_menu,
.sidebar.close .nav-links li.act_menu {
  /* background-color: green; */
}

.sidebar .nav-links li a .link_name {
  font-size: 18px;
  font-weight: 400;
  color: #fff;
  transition: all 0.4s ease;
}

.sidebar.close .nav-links li a .link_name {
  opacity: 0;
  pointer-events: none;
}

.sidebar .nav-links li .sub-menu {
  padding: 5px 5px 5px 40px;
  margin-top: -10px;
  /* background: #5a91bf; */
  display: none;
}

.sidebar .nav-links li .sub-menu>li {
  /* width: fit-content; */
}

.sidebar .nav-links li.showMenu .sub-menu {
  display: block;
}

.sidebar .nav-links li .sub-menu a {
  color: #fff;
  font-size: 15px;
  padding: 5px 10px;
  /* white-space: nowrap; */
  opacity: 0.8;
  transition: all 0.3s ease;
}

.sidebar.close .nav-links li .sub-menu a {
  white-space: nowrap;
}

.sidebar .nav-links li .sub-menu a:hover {
  opacity: 1;
}

.sidebar .nav-links li .sub-menu :hover {
  border-radius: 5px;
  background: #3641a5;
}

.sidebar.close .nav-links li .sub-menu {
  position: absolute;
  left: 100%;
  top: -10px;
  margin-top: 0;
  padding: 5px 0;
  border-radius: 0 6px 6px 0;
  opacity: 0;
  display: block;
  pointer-events: none;
  transition: 0s;
  background: #4682b4;
}

.sidebar.close .nav-links li:hover .sub-menu {
  top: 0;
  opacity: 1;
  pointer-events: auto;
  transition: all 0.4s ease;
}

.sidebar .nav-links li .sub-menu .link_name {
  display: none;
}

.sidebar.close .nav-links li .sub-menu .link_name {
  font-size: 12px;
  opacity: 1;
  display: block;
  cursor: default;
  background: #5a91bf;
}

.sidebar.close .nav-links li .sub-menu .link_name:hover {
  /* transition: none;
  background: #5a91bf; */
}

.sidebar .nav-links li .sub-menu.blank {
  opacity: 1;
  pointer-events: auto;
  padding: 3px 20px 6px 16px;
  opacity: 0;
  pointer-events: none;
}

.sidebar .nav-links li:hover .sub-menu.blank {
  top: 50%;
  transform: translateY(-50%);
}

.sidebar.close~.main-section {
  left: 50px;
  width: calc(100% - 50px);
}

.main-section {
  /* background-color: rgb(240, 240, 240); */
  background: #dbddf3;
  /* overflow: auto; */
  position: relative;
  left: 250px;
  width: calc(100% - 250px);
  min-height: 100vh;
  transition: all 0.5s ease;

}

.header-section {
  width: 100%;
  height: 50px;

  /* background: linear-gradient(#4682b4, #b6cee2, #4682b4); */
  background: linear-gradient(#4682b4, #99c2e4, #4682b4);
  position: sticky;
  top: 0px;
  padding: 5px 10px 5px 5px;
  display: flex;
  flex-wrap: nowrap;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  border-bottom: .5px solid rgb(210, 213, 219);
  z-index: 100;

}

.home-content {
  background: #ffffff;
  margin: 7px;
  width: calc(100% - 14px);
  min-height: calc(100vh - 84px);
  padding: 10px;
  /* text-align: justify; */
  border: .5px solid rgb(210, 213, 219);
  border-radius: 8px;
  overflow-x: auto;
}


.footer-section {

  width: 100%;
  height: 20px;
  background: linear-gradient(#4682b4, #91b6d4, #4682b4);
  position: sticky;
  bottom: 0;
  text-align: center;
  border-top: .5px solid rgb(210, 213, 219);

}

.footer-section p {
  color: blue;
  font-size: 12px;
}

.header-section ul {
  /* display: flex; */

  /* flex-direction: row;
  list-style-image: none;
  list-style-position: outside;
  list-style-type: none;
  text-align: left;
  text-size-adjust: 100%; */

  /* align-items: center */
}

.header-section li {
  /* display: flex;
  align-items: center; */

  /* text-wrap: nowrap; */

  /* white-space: nowrap;
  cursor: pointer;
  margin-right: 10px; */

}

.header-section i.bx {
  /* font-size: 20px; */
}

.header-section i.bx-menu {
  /* font-size: 30px;
  transition: all 0.5s ease;
  color: #fff; */

}

.header-section i.bx-menu.close {
  /* transform: rotate(0deg); */
}

.ceircal {
  /* width: 40px;
  height: 40px;
  border: 1px solid blue;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center; */
}

.header-section button {
  background: none;
  border: none;
  color: #fff;
}

.header-section .btn-menu {
  background: none;
  border: none;
  color: #fff;
  border: 2px solid steelblue;
  border-radius: 0.2em;
}

.header-section button:hover {
  border: 2px solid blue;
  color: rgb(64, 128, 224);
}

.header-section .btn-menu i {
  transition: all 0.8s ease;
}

.header-section .btn-menu.close i {
  transform: rotate(90deg);
}

.header-section img.user {
  width: 45px;
  margin: 5px;
  border: 2px solid steelblue;
  border-radius: 50%;
}

/* On screens that are 992px or less, set the background color to blue */
@media screen and (max-width: 768px) {

  .sidebar.close {
    width: 0;
    display: none;
  }

  .sidebar.close~.main-section {
    left: 0;
    width: calc(100%);
  }

  body {
    width: 768px;
  }

  .sidebar {
    height: 100%;
  }

}